#
# SPDX-License-Identifier: GPL-2.0-only
#
# Copyright Red Hat
#
from .Architecture import Architecture

########################################################################
class X86(Architecture):
  """Class for X86 architectures.
  """

  ####################################################################
  # Public methods
  ####################################################################

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return True

  ####################################################################
  @property
  def is64Bit(self):
    return False

  ####################################################################
  # Protected methods
  ####################################################################

  ####################################################################
  # Private methods
  ####################################################################

########################################################################
class I386(X86):
  """Class for X86 32-bit architectures.
  """
  _available = False

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def isFedoraSecondary(self):
    return True

  ####################################################################
  @property
  def requiresExternalStorage(self):
    return True

########################################################################
class X86_64(X86):
  """Class for X86 64-bit architectures.
  """
  _available = True

  ####################################################################
  # Overridden methods
  ####################################################################
  @property
  def is32Bit(self):
    return False

  ####################################################################
  @property
  def is64Bit(self):
    return True

